// Fires after DOM is loaded
document.addEventListener("DOMContentLoaded", function () {
  var apiKey = document.getElementById("probaho_basics[api_key]");
  var enableUserSync = document.getElementById(
    "wpuf-probaho_user_sync[enable_user_sync]"
  );
  var userSyncList = document.getElementById(
    "probaho_user_sync[user_sync_list]"
  );
  var editDefaultTemplate = document.getElementById(
    "wpuf-probaho_transactional[edit_transactional_template]"
  );
  var enableTransactionalMail = document.getElementById(
    "wpuf-probaho_transactional[enable_transactional]"
  );
  var defaultTemplate = document.getElementById(
    "probaho_transactional[transactional_template]"
  );
  var senderName = document.getElementById(
    "probaho_transactional[sender_name]"
  );
  var senderEmail = document.getElementById(
    "probaho_transactional[sender_email]"
  );
  var editTemplate = document.getElementById(
    "wpuf-probaho_transactional[edit_transactional_template]"
  );

  // run validity function
  senderEmail.reportValidity();

  apiKey.required = true;
  enableTransactionalMail.checked
    ? senderEmail.removeAttribute("disabled")
    : senderEmail.setAttribute("disabled", true);
  enableTransactionalMail.checked
    ? senderName.removeAttribute("disabled")
    : senderName.setAttribute("disabled", true);

  editTemplate.checked
    ? defaultTemplate.removeAttribute("readonly")
    : defaultTemplate.setAttribute("readonly", true);

  //Make UserSyncList mandatory conditionally
  enableUserSync.addEventListener("change", function () {
    enableUserSync.checked
      ? (userSyncList.required = true)
      : (userSyncList.required = false);
  });

  // Enable edit in default template when it is in use
  editDefaultTemplate.addEventListener("change", function () {
    editDefaultTemplate.checked
      ? (defaultTemplate.readOnly = false)
      : (defaultTemplate.readOnly = true);
  });

  enableTransactionalMail.addEventListener("change", function () {
    enableTransactionalMail.checked
      ? senderEmail.removeAttribute("disabled")
      : (senderEmail.disabled = true);
    enableTransactionalMail.checked
      ? senderName.removeAttribute("disabled")
      : (senderName.disabled = true);
  });

  senderEmail.addEventListener("change", function () {
    let hostdomain = window.location.hostname.replace("www.", "");
    let domain = senderEmail.value.substring(senderEmail.value.lastIndexOf("@") + 1);
    console.log(hostdomain)
    if (domain !== hostdomain) {
      senderEmail.setCustomValidity("Domain name must match with your website name")
    } else {
      senderEmail.setCustomValidity('');
    }
  });
});
